### @caporl/cli

`0.0.1-6-1`
Need help reading this?

### createProject

Create a new project from Schematics

createProject(options: any, commandInstance: any)
Parameters
options `(any)`
commandInstance `(any)`

### askForProjectType

Ask the project type to User If type is Static website, finish by create projet Else, enchain with the database type

askForProjectType()

### askForDatabase

Ask if there is a database to user If there is no database, finish by create projet Else, enchain with database type

askForDatabase()

### askForDatabaseType

Ask the database type to user Ehcain with the authentication

askForDatabaseType()

### askForAuthentication

Ask is there is authentication on project Enchain with exchange protocol

askForAuthentication()

### askForProtocolType

Ask for the exchange protocol of project Enchain with finish, generate the project

askForProtocolType()

### executeSchematics

Execute Schematic command with option of all awnser

executeSchematics()

### StartDev

Caporl core service

new StartDev()

Extends Caporl

Instance Members
▸ startDev()

Start dev env with concurrently Angular front with ng serve on front folder Nest api with node index.js on api folder

startDev()

### update

Update dependencies of a newer projcet This is launched after a create project

update(callback: any)
Parameters
callback `(any)`

### checkPackageJson

Validate a package.json file exists in current directory

checkPackageJson()

### checkProjectIsCaporl

Validate package.json contains reference to Caporl/core

checkProjectIsCaporl()

### setRootPath

Change the rootPath

setRootPath(rootPath: any)
Parameters
rootPath `(any)`

### start

Start completion process by omelette Tree define all availabled commands and arguments

start()

### install

Install give a way to user to install autocomplete on shell instance

install()